Create a Turn
AuthenticationRequires bearerAuth.
Description
Records a completed Turn from an existing Matter document.
Parameters
matter_idpathstringrequired
Matter identifier.
Request body
application/jsonrequired
sidestringrequired
Allowed values:
workspacecounterpartyParty that completed the Turn.
document_idstringrequired
summarystring
completed_bystringrequired
Responses
201The recorded Turn.
application/jsonidstringrequired
matter_idstringrequired
numberintegerrequired
sidestringrequired
Allowed values:
workspacecounterpartyParty that completed the Turn.
document_idstringrequired
summarystring | null
completed_bystringrequired
Member identifier or verified counterparty email.
completed_atstring <date-time>required
Example response
{
"id": "trn_01JAZ7J8R5",
"matter_id": "mat_01JAZ6Q7K2",
"number": 3,
"side": "workspace",
"document_id": "doc_01JAZ7C3V9",
"summary": "string",
"completed_by": "string",
"completed_at": "2024-01-01T00:00:00Z"
}401The API key is missing, malformed, expired, or revoked.
application/jsonerrorobjectrequired
Example response
{
"error": {
"code": "unauthorized",
"message": "Provide a valid bearer API key.",
"request_id": "req_01JAZA0P8M"
}
}403The API key does not have permission for this action.
application/jsonerrorobjectrequired
Example response
{
"error": {
"code": "forbidden",
"message": "This API key does not have the required permission.",
"request_id": "req_01JAZA0P8M"
}
}404The resource was not found in the authenticated Workspace.
application/jsonerrorobjectrequired
Example response
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"request_id": "req_01JAZA0P8M"
}
}409The operation conflicts with the current resource state.
application/jsonerrorobjectrequired
Example response
{
"error": {
"code": "state_conflict",
"message": "The Matter cannot move to the requested status.",
"request_id": "req_01JAZA0P8M"
}
}422One or more request fields are invalid.
application/jsonerrorobjectrequired
Example response
{
"error": {
"code": "validation_error",
"message": "Correct the highlighted request fields.",
"request_id": "req_01JAZA0P8M",
"details": [
{
"field": "target_signature_date",
"issue": "must be today or later"
}
]
}
}